%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [q0,edof]=in_henry
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% loads q0 and edof from data files
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
scale = 1.0d0;

%%% q0 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

data_henry_nod=load('data_henry_nod.dat');
q0size=size(data_henry_nod);
q0len=q0size(1);
for x=1:q0len
   bone_q0(2*x-1)= data_henry_nod(x,1)*scale;
   bone_q0(2*x  )= data_henry_nod(x,2)*scale;
end
q0=bone_q0';

%%% edof %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

data_henry_elm=load('data_henry_elm.dat');
edofsize=size(data_henry_elm);
edoflen=edofsize(1);
for x=1:edoflen
    bone_edof(x,1)=x;
    bone_edof(x,2)=2*data_henry_elm(x,1)-1;
    bone_edof(x,3)=2*data_henry_elm(x,1);
    bone_edof(x,4)=2*data_henry_elm(x,2)-1;
    bone_edof(x,5)=2*data_henry_elm(x,2);
    bone_edof(x,6)=2*data_henry_elm(x,3)-1;
    bone_edof(x,7)=2*data_henry_elm(x,3);
end
edof=bone_edof;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

