%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [q0,edof]=in_tibia2d
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% loads q0 and edof from data files
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
scale = 1.0d0;

%%% q0 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

data_tibia_nod=load('data_tibia2d_nod.dat');
q0size=size(data_tibia_nod);
q0len=q0size(1);
for x=1:q0len
   bone_q0(2*x-1)= data_tibia_nod(x,1)*scale;
   bone_q0(2*x  )= data_tibia_nod(x,2)*scale;
end
q0=bone_q0';

%%% edof %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

data_tibia_elm=load('data_tibia2d_elm.dat');
edofsize=size(data_tibia_elm);
edoflen=edofsize(1);
for x=1:edoflen
    bone_edof(x,1)=  data_tibia_elm(x,1);
    bone_edof(x,2)=2*data_tibia_elm(x,1)-1;
    bone_edof(x,3)=2*data_tibia_elm(x,1);
    bone_edof(x,4)=2*data_tibia_elm(x,2)-1;
    bone_edof(x,5)=2*data_tibia_elm(x,2);
    bone_edof(x,6)=2*data_tibia_elm(x,3)-1;
    bone_edof(x,7)=2*data_tibia_elm(x,3);
end
edof=bone_edof;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

