%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [q0,edof]=in_tibia3d
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% loads q0 and edof from data files
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%% q0 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

data_tibia_nod=load('data_tibia3d_nod.dat');
q0size=size(data_tibia_nod);
q0len=q0size(1);
for x=1:q0len
   bone_q0(3*x-2)=data_tibia_nod(x,1);
   bone_q0(3*x-1)=data_tibia_nod(x,2);
   bone_q0(3*x  )=data_tibia_nod(x,3);
end
q0=bone_q0';

%%% edof %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

data_tibia_elm=load('data_tibia3d_elm.dat');
edofsize=size(data_tibia_elm);
edoflen=edofsize(1);
for x=1:edoflen
    bone_edof(x, 1)=x;
    bone_edof(x, 2)=3*data_tibia_elm(x,1)+1;
    bone_edof(x, 3)=3*data_tibia_elm(x,1)+2;
    bone_edof(x, 4)=3*data_tibia_elm(x,1)+3;
    bone_edof(x, 5)=3*data_tibia_elm(x,2)+1;
    bone_edof(x, 6)=3*data_tibia_elm(x,2)+2;
    bone_edof(x, 7)=3*data_tibia_elm(x,2)+3;
    bone_edof(x, 8)=3*data_tibia_elm(x,3)+1;
    bone_edof(x, 9)=3*data_tibia_elm(x,3)+2;
	bone_edof(x,10)=3*data_tibia_elm(x,3)+3;
    bone_edof(x,11)=3*data_tibia_elm(x,4)+1;
    bone_edof(x,12)=3*data_tibia_elm(x,4)+2;
    bone_edof(x,13)=3*data_tibia_elm(x,4)+3;
end
edof=bone_edof;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

